import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_dnsmasq_is_installed(host):
    dnsmasq = host.package("dnsmasq")
    assert dnsmasq.is_installed


def test_dnsmasq_running_and_enabled(host):
    dnsmasq = host.service("dnsmasq")
    assert dnsmasq.is_running
    assert dnsmasq.is_enabled
